<?php

namespace Drupal\unomi\Plugin\UnomiConnector;

use Dropsolid\UnomiSdkPhp\Client\Http\Guzzle\GuzzleApiClientFactory;
use Drupal\unomi\UnomiConnector\BasicAuthTrait;
use Drupal\unomi\UnomiConnector\UnomiConnectorPluginBase;

/**
 * Basic auth Unomi connector.
 *
 * @UnomiConnector(
 *   id = "basic_auth",
 *   label = @Translation("Basic Auth"),
 *   description = @Translation("A connector usable for Unomi installations protected by basic authentication.")
 * )
 */
class BasicAuthUnomiConnector extends UnomiConnectorPluginBase {

  use BasicAuthTrait;

  /**
   * {@inheritdoc}
   * make sure this happens in the plugins. One for basic auth and one for dropsolid platform.
   */
  public function getApiClient()
  {
    // @todo -> Make sure the url configs are respected.

    return GuzzleApiClientFactory::createBasicAuth(
      [
        'timeout' => 3.0,
        'base_uri' => 'localhost',
        'auth' => [$this->configuration['username'], $this->configuration['password']]
      ]
    );
  }


}
